
<?php
$_POST['lp'] = 'https://monthlyssdi.com';

// The URL of the API endpoint
$url = "https://leads.leadexec.net/v2/insert/ping";

// The Bearer token for authorization
$apiKey = "97fa6127-6c87-4500-805b-740cae4bc8a9"; // Replace [api-key] with your actual token

$source = [
    "vid" => "71501",
    "aid" => "100019",
    "lid" => "100001",
];
$fileds = [
    "FirstName" => $_POST['firstName'],
    "LastName" => $_POST['lastName'],
    "Email" => $_POST['email'],
    "Phone" => $_POST['phone'],
    "Address" => $_POST['address'],
    "City" => $_POST['city'],
    "State" => $_POST['state'],
    "Zip" => $_POST['zipCode'],
    "RecievingSSDI" => $_POST['receiving_benefits'],
    "OutOfWork" => $_POST['out_of_work'],
    "Worked5Years" => $_POST['worked_five_years'],
    "HasAttorney" => $_POST['has_lawyer'],
    "jornaya_lead_id" => $_POST['jornaya_lead_id'],
    "trusted_form_cert_id" => $_POST['trusted_form_id'],
    "LP" => $_POST['optin_url'],
    'IPAddress' => $_POST['ip_address'],
    "ConsentLanguage" => $_POST['consent'],
    "Age" => $_POST['age'],
    "dob_year" => $_POST['dob_year'],
    "Dob" => $_POST['dob'],
    "Timestamp" => $_POST['timestamp'],
    "UserAgent" => $_POST['userAgent'],
    "source" => $_POST['source'],
    "ad_id" => $_POST['ad_id'],
    "campaign_name" => $_POST['campaign_name'],
    "ad_name" => $_POST['ad_name'],
    "adset_name" => $_POST['adset_name'],
    "Subid" => $_POST['subid']
];

// Create the JSON payload
$data = array(
    "source" => $source,
    "leads" => array(
        array(
            "properties" => [
                "reference" => []
            ],
            "fields" => $fileds
        )
    )
);

// Execute the POST request
$response = postdata($url, $apiKey, $data);

$resArr = json_decode($response, true);

$redirectUrl = '';
$orderId = '';
$offerId = '';

if ($resArr['results'][0]['willAccept']) {
    $orderId = $resArr['results'][0]['orderId'];
    $offerId = $resArr['results'][0]['offers'][0]['offerId'];
    $companyName = $resArr['results'][0]['offers'][0]['companyName'];
    $redirectUrl = $resArr['results'][0]['offers'][0]['url'];

    if ($orderId && $offerId) {
        $url = "https://leads.leadexec.net/v2/insert/general";

        $properties = [
            "reference" => "",
            "noSell" => false,
            "orderId" => $orderId,
            "offerIds" => [$offerId]
        ];

        $source['sendDelay'] = '0.0';
        $source['returnURL'] = '';

        $data = array(
            "source" => $source,
            "leads" => array(
                array(
                    "properties" => $properties,
                    "fields" => $fileds
                )
            )
        );

        $finalResponse = postdata($url, $apiKey, $data);

        $finalResArr = json_decode($finalResponse, true);
    }
} else {

    $url = "https://leads.leadexec.net/v2/insert/general";

    $apiKey = "3bcb10c3-b3b1-46cd-ba19-8fcbd3b92f04"; // Replace [api-key] with your actual token

    $source = [
        "vid" => "71516",
        "aid" => "100020",
        "lid" => "100001",
        "sendDelay" => "0.0",
        "returnUrl" => ""
    ];

    $data = array(
        "source" => $source,
        "leads" => array(
            array(
                "properties" => [
                    "reference" => "",
                    "noSell" => false
                ],
                "fields" => $fileds
            )
        )
    );

    $finalResponse = postdata($url, $apiKey, $data);
}

echo $redirectUrl;
die();


function postdata($url, $apiKey, $data)
{
    $jsonData = json_encode($data);

    // Initialize cURL session
    $ch = curl_init($url);

    // Set cURL options
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        'Content-Type: application/json',
        'Accept: application/json',
        'api-key: ' . $apiKey
    ));

    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $jsonData);

    // Execute the POST request
    $response = curl_exec($ch);

    return $response;
}
