
<?php
$url = "https://leads.leadexec.net/v2/insert/general";

$apiKey = "3bcb10c3-b3b1-46cd-ba19-8fcbd3b92f04"; // Replace [api-key] with your actual token

$source = [
    "vid" => "71516",
    "aid" => "100020",
    "lid" => "100001",
    "sendDelay" => "0.0",
    "returnUrl" => ""
];

$data = array(
    "source" => $source,
    "leads" => array(
        array(
            "properties" => [
                "reference" => "",
                "noSell" => false
            ],
            "fields" => [
                "FirstName" => "Curran",
                "LastName" => "Sthay",
                "Email" => "curran@sthay.com",
                "Phone" => "8009007878",
                "Address" => "somewhere in usa",
                "City" => "Oceanside",
                "State" => "CA",
                "Zip" => "92056",
                "RecievingSSDI" => "No",
                "OutOfWork" => "No",
                "Worked5Years" => "Yes",
                "HasAttorney" => "No",
                "jornaya_lead_id" => "112233445566",
                "TrustedForm" => "111111111",
                "LP" => 'https://betteramericanlives.com',
                'IPAddress' => "123.123.123.123",
                "ConsentLanguage" => "1",
                "Age" => "47",
                "dob_year" => "1978"
            ]
        )
    )
);

$finalResponse = postdata($url, $apiKey, $data);
echo $finalResponse;

die();


function postdata($url, $apiKey, $data)
{
    $jsonData = json_encode($data);

    // Initialize cURL session
    $ch = curl_init($url);

    // Set cURL options
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        'Content-Type: application/json',
        'Accept: application/json',
        'api-key: ' . $apiKey
    ));

    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $jsonData);

    // Execute the POST request
    $response = curl_exec($ch);

    return $response;
}
